Skip to main content
`Ctrl`+`K`

# DMClearDS

Remove all discrete systems from the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMClearDS(DM dm)

Logically Collective

## Input Parameter

- dm - The `DM`

## See Also

DM Basics, `DM`, `DMGetNumDS()`, `DMGetDS()`, `DMSetField()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages